using System;
using System.Data;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using IServer;

namespace Server
{
	public class Booking : System.MarshalByRefObject, IBooking
	{
		#region fields
		private DateTime tilDato;
		private DateTime fraDato;
		private IGaest gaest;
		private IVaerelse vaerelse;
		#endregion

		#region properties
		public DateTime TilDato
		{
			get {return this.tilDato;}
			//set {this.tilDato = value;}
		}
		public DateTime FraDato
		{
			get {return this.fraDato;}
			//set {this.fraDato = value;}
		}
		public IGaest Gaest
		{
			get{return this.gaest;}
		}
		public IVaerelse Vaerelse
		{
			get{return this.vaerelse;}
		}
		#endregion
        		
		public Booking(IGaest gaest, IVaerelse vaerelse, DateTime fraDato, DateTime tilDato)
		{
			this.gaest = gaest;
			this.vaerelse = vaerelse;
			this.fraDato = fraDato;
			this.tilDato = tilDato;
		}
	}
}
