using System;
using System.Data;

namespace IServer
{
	/// <summary>
	/// Summary description for IDbFacade.
	/// </summary>
	public interface IDbFacade
	{
		bool GemGaest(string navn, string firma, string tlfNr);
		bool OpdaterGaest(string navn, string firma, string tlfNr, string nytTlfNr);
		bool SletGaest(string tlfNr);
		DataTable FindGaest(string navn, string firma, string tlfNr);

		bool GemVaerelse(int vaerelsesNr, int type, bool ikkeryger, bool handicap);
		bool OpdaterVaerelse(int vaerelsesNr, int type, bool ikkeryger, bool handicap);
		bool SletVaerelse(int vaerelsesNr);
		IVaerelse FindVaerelse(int vaerelsesNr);
		DataTable HentLedigeVaerelser(DateTime fraDato, DateTime tilDato);
		DataTable HentLedigeVaerelser(DateTime fraDato, DateTime tilDato, int type, int ikkeryger, int handicap);
		DataTable BookingOversigt(DateTime fraDato, DateTime tilDato);

		bool GemBooking(int gaestID, int vaerelsesNr, DateTime fraDato, DateTime tilDato);
		bool GemBooking(string navn, string firma, string telefonnr, int vaerelsesNr, DateTime fraDato, DateTime tilDato);

		
	}
}