using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using HbDBF;
using IServer;

namespace Hotelbooking
{
	/// <summary>
	/// Summary description for Persondata.
	/// </summary>
	public class Persondata : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label lblPeriode;
		protected System.Web.UI.WebControls.Label lblRyger;
		protected System.Web.UI.WebControls.Label lblHandicap;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label lblNr;
		protected System.Web.UI.WebControls.Label lblIkkeryger;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox txtNavn;
		protected System.Web.UI.WebControls.TextBox txtFirma;
		protected System.Web.UI.WebControls.TextBox txtTelefon;
		protected System.Web.UI.WebControls.Button btnGem;
		protected System.Web.UI.WebControls.Button btnTilbage;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label lblPris;
		protected System.Web.UI.WebControls.Label lblType;
		private Varelse vv;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			vv = (Varelse)Session["Vaerelse"];
			lblNr.Text = "" + vv.Varelsesnr;
			TimeSpan t = ((DateTime)Session["TilDato"]) - ((DateTime)Session["FraDato"]);
			String tt = "" + (vv.Pris * (t.Days +1));
			lblPris.Text = tt;
			Session["Pris"] = tt;
			lblPeriode.Text = "" + ((DateTime)Session["FraDato"]).ToShortDateString() + " til " + ((DateTime)Session["TilDato"]).ToShortDateString();
			if (vv.Type != 0){
				lblType.Text = "Dobbeltvrelse";
				Session["Type"] = "Dobbeltvrelse";}
			else {
				lblType.Text = "Enkeltvrelse";
				Session["Type"] = "Enkeltvrelse";}
			if (vv.Handicap)
			{
				lblHandicap.Text = "Handicap venligt vrelse";
				Session["Handicap"] = "Handicap venligt vrelse";
			}
			else 
			{
				lblHandicap.Text = "Ikke handicap venligt vrelse";
				Session["Handicap"] = "Ikke handicap venligt vrelse";
			}
			if (vv.Ikkeryger)
			{
				lblIkkeryger.Text = "Ikkeryger vrelse";
				Session["IkkeRyger"] = "Ikkeryger vrelse";
			}
			else 
			{
				lblIkkeryger.Text = "Ryger vrelse";
				Session["IkkeRyger"] = "Ryger vrelse";
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnGem.Click += new System.EventHandler(this.btnGem_Click);
			this.btnTilbage.Click += new System.EventHandler(this.btnTilbage_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnTilbage_Click(object sender, System.EventArgs e)
		{
			// g tilbage til booking siden
			Response.Redirect("Startpage.aspx");
		}

		private void btnGem_Click(object sender, System.EventArgs e)
		{
			if (txtNavn.Text != "" && txtFirma.Text != "" && txtTelefon.Text != "")
			{
				HotelConnection.DbFacade.GemBooking(this.txtNavn.Text.ToString(), this.txtFirma.Text.ToString(), this.txtTelefon.Text.ToString(), vv.Varelsesnr, ((DateTime)Session["FraDato"]), ((DateTime)Session["TilDato"]));
				Response.Redirect("Success.aspx");
				//do something
			}
			
			
		}
	}
}
